Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class FixedFieldAttributeTable

    java.lang.Object
      com.mindbright.terminal.tandem6530.VariableFieldAttributeTable
          com.mindbright.terminal.tandem6530.FixedFieldAttributeTable

public class FixedFieldAttributeTable
extends VariableFieldAttributeTable

Fixed Field Definition Table (table 3-9). This table is supposed to be 64 entries, but only the first 24 is listen in table 3-9. When I looked at the x3270 source I found this comment about 3270 attributes: `field attribute definitions The 3270 fonts are based on the 3270 character generator font found on page 12-2 in the IBM 3270 Information Display System Character Set Reference. Characters 0xC0 through 0xCF and 0xE0 through 0xEF (inclusive) are purposely left blank and are used to represent field attributes as follows: 11x0xxxx | |||| | ||++--- 00 normal intensity/non-selectable | || 01 normal intensity/selectable | || 10 high intensity/selectable | || 11 zero intensity/non-selectable | |+----- unprotected(0)/protected(1) | +------ alphanumeric(0)/numeric(1) +-------- unmodified(0)/modified(1)` As you can see, this definition gives 16 possible variations... I don't known what to do, so I copy the 24 entries until all 64 positions are filled. :-(

Field Summary

Fields inherited from class com.mindbright.terminal.tandem6530.VariableFieldAttributeTable
`defaultTable, table`

Constructor Summary
`FixedFieldAttributeTable()`

Method Summary
`void` | `set(int startIndex, FieldAttributes[] entries)`

Methods inherited from class com.mindbright.terminal.tandem6530.VariableFieldAttributeTable
`get, isInsideTable, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedFieldAttributeTable

    public FixedFieldAttributeTable()

Method Detail

### set

    public void set(int startIndex,
                    FieldAttributes[] entries)

  Overrides:
    `set` in class `VariableFieldAttributeTable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD